///camera_draw()
/*
    Updates the camera and draws.
 */
 
var __x, __y, __z;
 
// -- STUB -- // For testing
g_camdDirection -= (window_mouse_get_x() - window_get_width() / 2) / 8;
g_camdZDirection += (window_mouse_get_y() - window_get_height() / 2) / (8 * 9 / 16);
g_camdDirection %= 360;
g_camdZDirection = clamp(g_camdZDirection, -80, 80);
window_mouse_set(window_get_width() / 2, window_get_height() / 2);

//Update camera position:
if (g_camTarget != null && instance_exists(g_camTarget))
{
    // -- STUB -- // Make camera smoother in the future:
    
    g_camDirection = g_camdDirection;
    g_camZDirection = g_camdZDirection;
    
    // Set cam position accordingly
    g_camX = g_camTarget._x;
    g_camY = g_camTarget._y;
    g_camZ = g_camTarget._z;
}

//Set from position:
__x = g_camX + dcos(g_camDirection + 180) * dcos(g_camZDirection) * g_camDistance;
__y = g_camY - dsin(g_camDirection + 180) * dcos(g_camZDirection) * g_camDistance;
__z = g_camZ + dsin(g_camZDirection) * g_camDistance;
 
d3d_set_projection(__x, __y, __z, g_camX, g_camY, g_camZ, 0, 0, 1);