///chunk_grid_generate(x, y, radius)
/*
    Generates chunks around the specified position up to
    a max of radius.
    
    Argument0   -   chunk x-pos
    Argument1   -   chunk y-pos
    Argument2   -   distance to render to
    
    Returns     -   N / A
 */
 
// Not making it <= evens out the sides because of how chunks are drawn.
for (var i = -argument2; i < argument2; ++i)
{
    for (var j = -argument2; j < argument2; ++j)
    {
        if (!chunk_exists(argument0 + i, argument1 + j))
            chunk_create(argument0 + i, argument1 + j);
    }
}