///graphics_init()
/*
    Starts up the 3D graphics and defines the settings.
 */

draw_set_alpha(1.0);
draw_set_color(c_white);
 
d3d_start();
d3d_set_perspective(true);
d3d_set_culling(true);
d3d_set_hidden(true);
d3d_set_shading(true);

d3d_light_define_ambient(make_color_rgb(32, 32, 32));
d3d_light_define_direction(0, 0.5, 0.8, -1, make_color_rgb(255, 255, 128));
d3d_light_enable(0, true);

d3d_set_lighting(true);
 