///camera_init(target, distance, direction, zdirection)
/*
    Sets the camera variables for use at defaults.
    
    Argument0   -   target to aim at, or null
    Argument1   -   initial distance from target
    Argument2   -   x/y direction to point to
    Argument3   -   z direction to point from
    
    Returns     -   N / A
 */
 
globalvar g_camTarget, g_camDistance, g_camDirection, g_camZDirection,
          g_camdDirection, g_camdZDirection;
g_camTarget = argument0;
g_camDistance = argument1;

//Actual camera directions:
g_camDirection = argument2;
g_camZDirection = argument3;

//Desired camera directions:
g_camdDirection = argument2;
g_camdZDirection = argument3;

globalvar g_camX, g_camY, g_camZ;

g_camX = 0;
g_camY = 0;
g_camZ = 0;

window_mouse_set(window_get_width() / 2, window_get_height() / 2);